Description

These are two very convenient but non-obvious features, therefore we think it is a good idea to mention them in the detailed wiki
syntax help.

The attached patch, extracted from Planio , adds these two lines to the help files:

<li>Images in your computer's clipboard can be pasted directly using Ctrl-v or Command-v.</1li>
<li>Image files can be dragged onto the text area in order to be uploaded and embedded.</1li>

Related issues:

Related to Redmine - Feature #3816: Allow pasting screenshots from clipboard Closed 2009-09-03
Related to Redmine - Feature #26071: Generate markup for uploaded image dropp... Closed
Related to Redmine - Patch #32552: Clarify that pasting images from clipboard... Closed

Associated revisions

Revision 18049 - 2019-04-08 10:15 - Go MAEDA
Add hints to clipboard paste and dragging of images (#31169).

Patch by Jens Kramer.

Revision 19339 - 2019-12-06 00:32 - Go MAEDA
Clarify that pasting images from clipboard does not support Internet Explorer and Edge (#31169, #32552).

Patch by Go MAEDA.

Revision 19340 - 2019-12-06 00:36 - Go MAEDA
Merged r19339 from trunk to 4.1-stable (#31169, #32552).

History

#1 - 2019-04-08 10:04 - Go MAEDA
- Related to Feature #3816: Allow pasting screenshots from clipboard added

#2 - 2019-04-08 10:10 - Go MAEDA
- Related to Feature #26071: Generate markup for uploaded image dropped into wiki-edit textarea added

#3 - 2019-04-08 10:14 - Go MAEDA

- Subject changed from [Wiki Syntax Help] document image pasting and drag/drop embedding. to [Wiki Syntax Help] document image pasting and
drag/drop embedding

- Status changed from New to Closed
- Assignee set to Go MAEDA

- Target version set to 4.1.0

Committed the patch. Thank you for sharing the improvement!

#4 - 2019-12-03 15:22 - Dainis Abols

Anyone knows when this is going to be released?
#5 - 2019-12-05 07:01 - Go MAEDA
- Related to Patch #32552: Clarify that pasting images from clipboard does not support Internet Explorer added

#6 - 2019-12-20 10:08 - Jean-Philippe Lang

- Subject changed from [Wiki Syntax Help] document image pasting and drag/drop embedding to Wiki syntax help for document image pasting and
drag/drop embedding

Files
0001-add-hints-to-clipboard-paste-and-dragging-of-images.patch 94.9 KB 2019-04-08 Jens Kramer
